ru.yandex.clickhouse.util

## Class Patterns

- java.lang.Object
- - ru.yandex.clickhouse.util.Patterns

    public final class Patterns
    extends Object

A collection of usable predefined regular expressions.

### Field Summary

Fields
`static Pattern` `COLON`
`static Pattern` `COMMA`
`static Pattern` `COMMA_SPACE`
`static Pattern` `DOT`
`static Pattern` `HYPHEN`
`static Pattern` `NEWLINE`
`static Pattern` `PIPE`
`static Pattern` `SEMICOLON`
`static Pattern` `SLASH`
`static Pattern` `SPACE`
`static Pattern` `TAB`
`static Pattern` `UNDERSCORE`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COMMA

    public static final Pattern COMMA

#### COLON

    public static final Pattern COLON

#### SEMICOLON

    public static final Pattern SEMICOLON

#### DOT

    public static final Pattern DOT

#### HYPHEN

    public static final Pattern HYPHEN

#### SLASH

    public static final Pattern SLASH

#### TAB

    public static final Pattern TAB

#### NEWLINE

    public static final Pattern NEWLINE

#### SPACE

    public static final Pattern SPACE

#### PIPE

    public static final Pattern PIPE

#### COMMA_SPACE

    public static final Pattern COMMA_SPACE

#### UNDERSCORE

    public static final Pattern UNDERSCORE